Group: Other
BuildRequires: docbook-dtds docbook-style-xsl
%global codate 20130122

Name:           gl-manpages
Version:        1.1
Release:        alt1_6.%{codate}
Summary:        OpenGL manpages

License:        MIT and Open Publication
URL:            http://www.opengl.org/wiki/Getting_started/XML_Toolchain_and_Man_Pages
# see Source1
Source0:        gl-manpages-%{version}-%{codate}.tar.xz
Source1:        make-gl-man-snapshot.sh
# FIXME: Bundle mathml and the Oasis dbmathl until they are packaged
Source2:        http://www.oasis-open.org/docbook/xml/mathml/1.1CR1/dbmathml.dtd
Source3:        http://www.w3.org/Math/DTD/mathml2.tgz
# FIXME  These are the old gl-manpages source which 
# still have some manpages that khronos doesn't. 
# Ship until somebody in the know helps figuring whats what.
# When matching install the kronos version.
Source4:        gl-manpages-1.0.1.tar.bz2
#Silence author/version/manual etc. warnings
Source5:        metainfo.xsl

BuildArch:      noarch

BuildRequires: xsltproc libxslt docbook-style-xsl
Source44: import.info

%description
OpenGL manpages

%prep
%setup -q -n %{name}-%{version}-%{codate}
tar xzf %{SOURCE3}
cp -av %{SOURCE2} mathml2/
tar xjf %{SOURCE4}


%build
# FIXME Figure out how to build the GLSL manpages
export BD=`pwd`
xmlcatalog --create --noout \
	--add public "-//W3C//DTD MathML 2.0//EN" "file://$BD/mathml2/mathml2.dtd" \
	--add system "http://www.w3.org/TR/MathML2/dtd/mathml2.dtd" "file://$BD/mathml2/mathml2.dtd" \
	--add public "-//OASIS//DTD DocBook MathML Module V1.1b1//EN" "file://$BD/mathml2/dbmathml.dtd" \
	--add system "http://www.oasis-open.org/docbook/xml/mathml/1.1CR1/dbmathml.dtd" "file://$BD/mathml2/dbmathml.dtd" \
	mathml2.cat
export XML_CATALOG_FILES="$BD/mathml2.cat /etc/xml/catalog"
for MAN in man4 man3 man2 ; do
	pushd $MAN
	for MANP in gl*.xml ; do
		xsltproc --nonet %{SOURCE5} $MANP | xsltproc --nonet /usr/share/sgml/docbook/xsl-stylesheets/manpages/docbook.xsl -
	done
	popd
done


%install
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3/
cp -n {man4,man3,man2}/*.3G $RPM_BUILD_ROOT%{_mandir}/man3/
# install the old manpages source with 3gl -> 3G
# when matchin don't clobber the khronos version
for MANP in `find gl-manpages-1.0.1 -name *.3gl` ; do
	FN=${MANP//*\//}
	cp -a -n $MANP $RPM_BUILD_ROOT%{_mandir}/man3/${FN/.3gl/.3G}
done
find $RPM_BUILD_ROOT%{_mandir}/man3/ -type f -size -100b | xargs sed -i -e 's/\.3gl/\.3G/' -e 's,^\.so man3G/,.so man3/,'
# fix
sed -i -e 's,^.so man3G/,.so man3/,' $RPM_BUILD_ROOT%_datadir/man/man3/*.3G



%files
%{_mandir}/man3/*


%changelog
* Mon Mar 11 2013 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_6.20130122
- update to new release by fcimport

* Tue Jan 29 2013 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_5.20130122
- update to new release by fcimport

* Wed Jan 16 2013 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_3.20121009
- initial fc import

